MergeInfo (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.store, record: MergeInfo

Package org.apache.lucene.store

# Record Class MergeInfo

java.lang.Object
java.lang.Record
org.apache.lucene.store.MergeInfo

public record MergeInfo(int totalMaxDoc, long estimatedMergeBytes, boolean isExternal, int mergeMaxNumSegments) extends Record
A MergeInfo provides information required for a MERGE context. It is used as part of an `IOContext` in case of MERGE context.

These values are only estimates and are not the actual values.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MergeInfo(int totalMaxDoc, long estimatedMergeBytes, boolean isExternal, int mergeMaxNumSegments)`
  Creates an instance of a `MergeInfo` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `long`
  `estimatedMergeBytes()`
  Returns the value of the `estimatedMergeBytes` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `isExternal()`
  Returns the value of the `isExternal` record component.
  `int`
  `mergeMaxNumSegments()`
  Returns the value of the `mergeMaxNumSegments` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `int`
  `totalMaxDoc()`
  Returns the value of the `totalMaxDoc` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MergeInfo

    public MergeInfo(int totalMaxDoc, long estimatedMergeBytes, boolean isExternal, int mergeMaxNumSegments)
    Creates an instance of a `MergeInfo` record class.
    Parameters:
      `totalMaxDoc` - the value for the `totalMaxDoc` record component
      `estimatedMergeBytes` - the value for the `estimatedMergeBytes` record component
      `isExternal` - the value for the `isExternal` record component
      `mergeMaxNumSegments` - the value for the `mergeMaxNumSegments` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### totalMaxDoc

    public int totalMaxDoc()
    Returns the value of the `totalMaxDoc` record component.
    Returns:
      the value of the `totalMaxDoc` record component

  - ### estimatedMergeBytes

    public long estimatedMergeBytes()
    Returns the value of the `estimatedMergeBytes` record component.
    Returns:
      the value of the `estimatedMergeBytes` record component

  - ### isExternal

    public boolean isExternal()
    Returns the value of the `isExternal` record component.
    Returns:
      the value of the `isExternal` record component

  - ### mergeMaxNumSegments

    public int mergeMaxNumSegments()
    Returns the value of the `mergeMaxNumSegments` record component.
    Returns:
      the value of the `mergeMaxNumSegments` record component